<?php 
if (!defined('FORUM_ROOT')) define('FORUM_ROOT', '../../../');
define('FORUM_SKIP_CSRF_CONFIRM', 1);

require FORUM_ROOT.'include/common.php';
header('Content-type: text/html; charset=utf-8');

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

if(isset($_POST['gdate']) && isset($_POST['gtime']) || isset($_POST['date_time']) && isset($_POST['interval']))
{
	if(isset($_POST['gdate']) && isset($_POST['gtime']))
	{
		$gstrtotime = strtotime($_POST['gdate'].' '.$_POST['gtime']);
		$date_time = $gstrtotime > 0 ? intval($gstrtotime) : '0';
	} 
	else if(isset($_POST['date_time']) && isset($_POST['interval']))
	{
		$date_time = intval(strtotime($_POST['date_time']) + $_POST['interval']);
	} else {
		$date_time = '0';
	}

	$pan_posting_users_max_age = time()-($forum_config['o_pan_posting_users_max_age']*86400);
	$all_groups = explode(',', $forum_config['o_pan_posting_groups_list']);

	$query = array(
		'SELECT'	=> 'g.g_id, g.g_title, g.g_user_title, g.g_id AS group_id, u.id, u.username, u.num_posts, u.registered',
		'FROM'		=> 'groups AS g',
		'JOINS'		=> array(
			array(
				'INNER JOIN'	=> 'users AS u',
				'ON'			=> 'g.g_id=u.group_id'
			)
		),
		'WHERE'		=> 'g.g_id IN ('.implode(',', $all_groups).') AND u.registered<'.$date_time,
		'ORDER BY'	=> 'g_title ASC, username ASC'
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	echo '<fieldset class="mf-set mf-extra set"><legend><span>Имя гостя</span></legend><div class="mf-box">';

	echo '<div class="mf-field mf-field1"><label for="fld"><span></span></label><br /><span class="fld-input"><select id="fld" name="req_username">';

	if(isset($poster_name))
		echo "\t\t\t\t".'<option value="'.$poster_name.'" selected="selected">'.$poster_name.'</option>'."\n";

	while ($forum_poster = $forum_db->fetch_assoc($result))
	{
		$poster[] = $forum_poster;
	}

	$cur_group = 0;
	$poster_count = 0;
	$sef_friendly_names = array();
	foreach ($poster as $forum_poster)
	{
		if ($forum_poster['g_id'] != $cur_group)
		{
			if ($cur_group)
				echo "\t\t\t".'</optgroup>'."\n";

			echo "\t\t\t".'<optgroup label="'.forum_htmlencode($forum_poster['g_title']).'">'."\n";
			$cur_group = $forum_poster['g_id'];
		}

		echo "\t\t\t\t".'<option value="'.$forum_poster['username'].'">'.forum_htmlencode($forum_poster['username']).' - '.$forum_poster['num_posts'].' - '.date("Y.m.d", $forum_poster['registered']).'</option>'."\n";
		$poster_count++;
	}

	echo '</select></span></div>';
	
	echo '<div class="mf-field"><label for="fld"><span></span></label><br /><span class="fld-input"><input type="text" id="fld" name="req_guest" value="" placeholder="Введите имя нового пользователя" size="40" maxlength="25" /></span></div>';
			
	echo '</div></fieldset>';

}
