<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);
	
if (isset($_POST['delete_topic'])) 
{
	$str_id = forum_trim($_POST['str_id']);
	$query = array(
		'DELETE'	=> 'pan_posting_topic',
		'WHERE'		=> 'topic_id_now='.$str_id,
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	redirect(forum_link($forum_url['pan_posting']), 'Topic Deleted');
}
	
// Load the language file
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array('Запланированные темы', forum_link($forum_url['pan_posting']))
);
	
define('FORUM_PAGE', 'admin-pan_posting');
define('FORUM_PAGE_SECTION', 'pan_posting');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

		// Get the list of categories and forums from the DB
		$query = array(
			'SELECT'	=> 'c.id AS cid, c.cat_name, f.id AS fid, f.forum_name, f.redirect_url',
			'FROM'		=> 'categories AS c',
			'JOINS'		=> array(
				array(
					'INNER JOIN'	=> 'forums AS f',
					'ON'			=> 'c.id=f.cat_id'
				)
			),
			'WHERE'		=> 'f.id!=0',
			'ORDER BY'	=> 'c.disp_position, c.id, f.disp_position'
		);

//		($hook = get_hook('ch_fn_generate_quickjump_cache_qr_get_cats_and_forums')) ? eval($hook) : null;
		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
?>

	<div class="main-subhead">
		<h2 class="hn"><span>Запланируйте новую тему</span></h2>
	</div>

	<div class="main-content main-frm">
		<form class="frm-form" method="GET" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_posting_new_topic']) ?>">
			<div class="sf-box text">
				<span>
					<select id="fld" name="fid">
						<option value="0" selected="1" >Выберите форум из списка</option>
<?php
		while ($cur_forum = $forum_db->fetch_assoc($result))
		{
			$forums[] = $cur_forum;
		}

		$cur_category = 0;
		$forum_count = 0;
		$sef_friendly_names = array();
		foreach ($forums as $cur_forum)
		{
//			($hook = get_hook('ch_fn_generate_quickjump_cache_forum_loop_start')) ? eval($hook) : null;
			if ($cur_forum['cid'] != $cur_category)	// A new category since last iteration?
			{
				if ($cur_category)
					echo "\t\t\t".'</optgroup>'."\n";

				echo "\t\t\t".'<optgroup label="'.forum_htmlencode($cur_forum['cat_name']).'">'."\n";
				$cur_category = $cur_forum['cid'];
			}

			$redirect_tag = ($cur_forum['redirect_url'] != '') ? ' &gt;&gt;&gt;' : '';
			echo "\t\t\t\t".'<option value="'.$cur_forum['fid'].'" selected="selected" >'.forum_htmlencode($cur_forum['forum_name']).$redirect_tag.'</option>'."\n";
			$forum_count++;
		}
?>
					</select>
				</span>

				<span class="submit primary"><input type="submit" value="Новая тема" /></span>
			</div>
		</form>
	</div>

	<div class="main-subhead">
		<h2 class="hn"><span>Запланированные темы</span></h2>
	</div>
	<div class="main-content main-frm">
		<div class="ct-group">
			<table>
				<thead>
					<tr>
						<th style="width:20%;">Дата публикации</th>
						<th style="width:10%;">Постер</th>
						<th style="width:35%;">Тема</th>
						<th style="width:20%;">Форум назначения</th>
						<th style="width:7%;">Posts</th>
						<th style="width:7%;">Status</th>
						<th style="width:5%;"></th>
					</tr>
				</thead>
				<tbody>
<?php


	$query = array(
		'SELECT'	=> 'pt.id, pt.poster, pt.subject, pt.posted, pt.forum_id, pt.post_status, pt.num_posts, pt.first_post, pf.id AS forum_id, pf.forum_name',
		'FROM'		=> 'pan_posting_topic AS pt',
		'JOINS'		=> array(
			array(
				'INNER JOIN'	=> 'forums AS pf',
				'ON'			=> 'pf.id=pt.forum_id'
			)
		),
		'WHERE'		=> 'pt.first_post=1',
		'ORDER BY'	=> 'pt.posted ASC'
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
		
			$i = 1;
		while ( $cur_topic = $forum_db->fetch_assoc($result) )
		{
?>			
			<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_posting']) ?>">

				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_posting'])) ?>" />
				
				<input type="hidden" value="<?php echo $cur_topic['id'] ?>" name="str_id"/>
				
				<tr class="<?php (($i % 2 != 0) ? 'odd' : 'even') ?><?php (($i == 1) ? ' row1' : '') ?>">
				<td class="tc0"><?php echo date('d-m-Y H:i', $cur_topic['posted']) ?></td>
				<td class="tc1"><?php echo $cur_topic['poster'] ?></td>
				<td class="tc1"><a href="<?php echo forum_link($forum_url['pan_posting_view_topic'], $cur_topic['id']) ?>"><?php echo $cur_topic['subject'] ?></a></td>
				<td class="tc3"><?php echo $cur_topic['forum_name'] ?></td>
				<td class="tc3"><?php echo $cur_topic['num_posts'] ?></td>

<?php if($cur_topic['post_status'] == '0') { ?>
				<td class="tc4" ><span><a href="<?php echo forum_link($forum_url['pan_posting_edit_id'], $cur_topic['id']) ?>">Edit</a></span></td>
<?php } else { ?>
				<td class="tc4" ><span style="color:green;font-weight:bold;">Yes</span></td>
<?php } ?>

				<td class="tc4" ><input type="submit" name="delete_topic" value="X" title="Delete"/></td>
			</form>

				</tr>
<?php
			$i++;
		}	
?>
				</tbody>
			</table>
		</div>
	</div>

<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->  

require FORUM_ROOT.'footer.php';