<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
require FORUM_ROOT.'include/common.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No view']);

// Load the post.php language file
require FORUM_ROOT.'lang/'.$forum_user['language'].'/post.php';

$id = isset($_GET['id']) ? intval($_GET['id']) : '0';

if(isset($_GET['id'])) 
{
	$pid = $id;
} 
else if (isset($_GET['pid'])) 
{
	$pid = intval($_GET['pid']);
}
else if (isset($_GET['tid'])) 
{
	$tid = intval($_GET['tid']);
	$pid = $tid;
} 
else 
{
	message($lang_common['Bad request']);
}

$query = array(
	'SELECT'	=> 'p.id, p.poster, p.subject, p.message, p.posted, p.topic_id_now, p.topic_id_to',
	'FROM'		=> 'pan_posting_topic AS p',
	'WHERE'		=> 'p.id='.$pid.' AND post_status=0',
);

$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
$edit_posting = $forum_db->fetch_assoc($result);

if (!$edit_posting)
	message($lang_common['Bad request']);

// Start with a clean slate
$errors = array();

if (isset($_POST['post_edit']) )
{
	if (isset($_POST['topic_id']))
		$id = $_POST['topic_id'];

	if (isset($_POST['topic_id_to']) )
		$tid_to = $_POST['topic_id_to'];
		
	if(isset($_POST['req_subject']))
	{
		$subject = forum_trim($_POST['req_subject']);

		if ($subject == '')
			$errors[] = $lang_post['No subject'];
		else if (utf8_strlen($subject) > 70)
			$errors[] = $lang_post['Too long subject'];
		else if ($forum_config['p_subject_all_caps'] == '0' && check_is_all_caps($subject) && !$forum_page['is_admmod'])
			$errors[] = $lang_post['All caps subject'];
	}

	$message = forum_linebreaks(forum_trim($_POST['req_message']));

	if (strlen($message) > FORUM_MAX_POSTSIZE_BYTES)
		$errors[] = sprintf($lang_post['Too long message'], forum_number_format(strlen($message)), forum_number_format(FORUM_MAX_POSTSIZE_BYTES));
	else if ($forum_config['p_message_all_caps'] == '0' && check_is_all_caps($message) && !$forum_page['is_admmod'])
		$errors[] = $lang_post['All caps message'];

	if (empty($errors))
	{
		$query = array(
			'UPDATE'	=> 'pan_posting_topic',
			'SET'		=> 'subject=\''.$forum_db->escape($subject).'\', message=\''.$forum_db->escape($message).'\'',
			'WHERE'		=> 'id='.$pid.' AND post_status=0',
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);
		
		if($tid_to > 0 ) 
		{
			redirect(forum_link($forum_url['pan_posting_new_post'], $tid_to), $lang_post['Edit redirect']);
		} else {
						redirect(forum_link($forum_url['pan_posting_view_topic'], $edit_posting['topic_id_now'].'#p'.$pid), $lang_post['Edit redirect']);
		}
	}

}


// Setup error messages
if (!empty($errors))
{
	$forum_page['errors'] = array();

	foreach ($errors as $cur_error)
		$forum_page['errors'][] = '<li><span>'.$cur_error.'</span></li>';
}

// Setup breadcrumbs
$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_post['Edit reply'], forum_link($forum_url['topic']) ), 
);

define('FORUM_PAGE', 'postedit');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>
	<div class="main-head">
		<h2 class="hn"><span>Редактирование сообщения<?php echo (isset($tid) ) ? $edit_posting['topic_id_to'] : 0 ?></span></h2>
	</div>

	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_post['Compose edited topic'] ?></span></h2>
	</div>
	<div id="post-form" class="main-content main-frm">
<?php

	if (!empty($forum_page['text_options']))
		echo "\t\t".'<p class="ct-options options">'.sprintf($lang_common['You may use'], implode(' ', $forum_page['text_options'])).'</p>'."\n";

// If there were any errors, show them
if (isset($forum_page['errors']))
{

?>
		<div class="ct-box error-box">
			<h2 class="warn hn"><span><?php echo $lang_post['Post errors'] ?></span></h2>
			<ul class="error-list">
				<?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			</ul>
		</div>
<?php

}

?>
		<div id="req-msg" class="req-warn ct-box error-box">
			<p class="important"><?php echo $lang_common['Required warn'] ?></p>
		</div>
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_posting_edit_pid'], $pid) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_posting_edit_pid'], $pid) ) ?>" />
			</div>
			
			<input type="hidden" name="topic_id_to" value="<?php echo (isset($tid) ) ? $edit_posting['topic_id_to'] : 0 ?>" />
			
<?php ($hook = get_hook('ed_pre_main_fieldset')) ? eval($hook) : null; ?>

			<fieldset class="frm-group group">
				<legend class="group-legend"><strong><?php echo $lang_post['Edit post legend'] ?></strong></legend>
				
<?php ($hook = get_hook('ed_pre_subject')) ? eval($hook) : null; ?>

<?php
//if( $id > 0 ) { 
?>

				<input type="hidden" name="topic_id" value="<?php echo $edit_posting['topic_id_now'] ?>" />
				
				<div class="sf-set set">
					<div class="sf-box text required">
						<label for="fld"><span><?php echo $lang_post['Topic subject'] ?></span></label><br />
						<span class="fld-input"><input id="fld" type="text" name="req_subject" size="<?php echo FORUM_SUBJECT_MAXIMUM_LENGTH ?>" maxlength="<?php echo FORUM_SUBJECT_MAXIMUM_LENGTH ?>" value="<?php echo forum_htmlencode(isset($_POST['req_subject']) ? $_POST['req_subject'] : $edit_posting['subject']) ?>" required /></span>
					</div>
				</div>
<?php 
//} 
?>

<?php ($hook = get_hook('ed_pre_message_box')) ? eval($hook) : null; ?>
				<div class="txt-set set">
					<div class="txt-box textarea required">
						<label for="fld"><span><?php echo $lang_post['Write message'] ?></span></label>
						<div class="txt-input"><span class="fld-input"><textarea id="fld" name="req_message" rows="15" cols="95" required spellcheck="true"><?php echo forum_htmlencode(isset($_POST['req_message']) ? $message : $edit_posting['message']) ?></textarea></span></div>
					</div>
				</div>
			</fieldset>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="post_edit" value="Update" /></span>
			</div>
		</form>
	</div>
<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
