<?php
if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_users.php';	

if (isset($_POST['save_config']))
{
	$form = array_map('trim', $_POST['form']);
	pan_update_options( $form );
	
	$message = 'Настройки обновлены';
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_posting_options']), $message);
}

define('FORUM_PAGE_SECTION', 'pan_posting');
define('FORUM_PAGE', 'admin-pan_posting_options');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array('Настройки', forum_link($forum_url['pan_posting_options']))
);
?>
	<div class="main-subhead">
		<h2 class="hn"><span>Настройки планировщика</span></h2>
	</div>

	<div class="main-content main-frm">
		
		<div class="content-head">
			<h2 class="hn"><span>Общие настройки</span></h2>
		</div>
			
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_posting_options']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_posting_options']) ) ?>" />
			</div>

			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld"><span><?php echo 'Назначить в группу' ?></span><small>Будут перенесены в группу после регистрации</small></label><br />
					<span class="fld-input">
						<select id="fld" name="form[pan_posting_users_group]">
							<option value="0"><?php echo $lang_admin_users['Unverified users'] ?></option>
<?php

	$query = array(
		'SELECT'	=> 'g.g_id, g.g_title',
		'FROM'		=> 'groups AS g',
		'WHERE'		=> 'g.g_id!='.FORUM_GUEST,
		'ORDER BY'	=> 'g.g_title'
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($cur_group_exp = $forum_db->fetch_assoc($result))
	{
		if($forum_config['o_pan_posting_users_group'] == $cur_group_exp['g_id'])
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_group_exp['g_id'].'" selected="selected">'.forum_htmlencode($cur_group_exp['g_title']).' - '.$cur_group_exp['g_id'].'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_group_exp['g_id'].'">'.forum_htmlencode($cur_group_exp['g_title']).'</option>'."\n";
	}
?>
					</select></span>
				</div>
			</div>

			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Группы</span><small>Введите группы через запятую. 0-заблокированные, 1-Админ, 2-гость, 3- пользователь, 4-модератор</small></label><br />
					<span class="fld-input"><input type="text" id="fld" name="form[pan_posting_groups_list]" size="35" maxlength="255" value="<?php echo forum_htmlencode($forum_config['o_pan_posting_groups_list']) ?>" /></span>
				</div>
			</div>

			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>E-mail</span><small>Введите E-mail</small></label><br />
					<span class="fld-input"><input type="email" id="fld" name="form[pan_posting_users_email]" size="35" maxlength="255" value="<?php echo forum_htmlencode($forum_config['o_pan_posting_users_email']) ?>" /></span>
				</div>
			</div>

			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Пароль</span><small>Введите пароль не менее 5 символов</small></label><br />
					<span class="fld-input"><input type="text" id="fld" name="form[pan_posting_users_pass]" size="35" maxlength="25" value="<?php echo forum_htmlencode($forum_config['o_pan_posting_users_pass']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Дата регистрации</span><small>На сколько секунд раньше регистрировать</small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[pan_posting_users_reg_time]" size="5" maxlength="9" value="<?php echo forum_htmlencode($forum_config['o_pan_posting_users_reg_time']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Интервал мин</span><small>Минимальное время в секундах</small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[pan_posting_first_time]" size="5" maxlength="9" value="<?php echo forum_htmlencode($forum_config['o_pan_posting_first_time']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Интервал макс</span><small>Максимальное время в секундах</small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[pan_posting_last_time]" size="5" maxlength="9" value="<?php echo forum_htmlencode($forum_config['o_pan_posting_last_time']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Уникальность темы</span><small>Проверяет тему на уникальность, если находит похожую, то выведет сообщение с похожими темами.</small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[pan_posting_unique_subject]" size="5" maxlength="9" value="<?php echo forum_htmlencode($forum_config['o_pan_posting_unique_subject']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Интервал макс</span><small>Максимальное время автологина в секундах</small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[pan_posting_permanent_residents_limit]" size="5" maxlength="9" value="<?php echo $forum_config['o_pan_posting_permanent_residents_limit'] ?>" /></span>
				</div>
			</div>

			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Возраст</span><small>Максимальный возраст в днях с момента регистрации</small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[pan_posting_users_max_age]" size="5" maxlength="9" value="<?php echo $forum_config['o_pan_posting_users_max_age'] ?>" /></span>
				</div>
			</div>
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="Update" /></span>
			</div>
		</form>

	</div>

<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';