<?php
if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_users.php';	

if (isset($_POST['update_users']))
{
	$form = $_POST['form'];
	foreach ($form as $key => $value)
	{
		$query = array(
			'UPDATE'	=> 'users',
			'SET'		=> 'entry_period='.$value*60,
			'WHERE'		=> 'id='.$key
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);
	}
	
	$message = 'Настройки пользователей обновлены';
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_posting_permanent_residents']), $message);
}

define('FORUM_PAGE_SECTION', 'pan_posting');
define('FORUM_PAGE', 'admin-pan_posting_permanent_residents');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array('Пользователи', forum_link($forum_url['pan_posting_permanent_residents']))
);
?>
	<div class="main-subhead">
		<h2 class="hn"><span>Настройки планировщика</span></h2>
	</div>
	
<?php
if ($forum_db->field_exists('users', 'entry_period') )
{
?>
	<div class="main-content main-frm">
		<div class="content-head">
			<h2 class="hn"><span>Список автологинов </span><small>(Время в минутах)</small></h2>
		</div>
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_posting_permanent_residents']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_posting_permanent_residents']) ) ?>" />
			</div>
<?php

	$query = array(
		'SELECT'	=> 'u.id, u.username, u.num_posts, u.entry_period',
		'FROM'		=> 'users AS u',
		'WHERE'		=> 'u.group_id!=3',
		'ORDER BY'	=> 'u.entry_period DESC, u.num_posts DESC, u.registered DESC',
		'LIMIT'		=> $forum_config['o_pan_posting_permanent_residents_limit']
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($cur_users = $forum_db->fetch_assoc($result))
	{
?>
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><a href="<?php echo forum_link($forum_url['user'], $cur_users['id']) ?>" target="blank"><?php echo $cur_users['username'] ?> (<?php echo $cur_users['num_posts'] ?>)</a></span></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[<?php echo $cur_users['id'] ?>]" size="5" maxlength="9" value="<?php echo ($cur_users['entry_period'] / 60) ?>" /></span>
				</div>
			</div>
<?php
	}
?>
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="update_users" value="Обновить" /></span>
			</div>
		</form>
	</div>
<?php
}

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
