<?php

define('FORUM_SKIP_CSRF_CONFIRM', 1);

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the language file
require FORUM_ROOT.'lang/'.$forum_user['language'].'/topic.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/post.php';

$tid = isset($_GET['id']) ? intval($_GET['id']) : 0;
if ($tid < 1)
	message($lang_common['Bad request']);

//Add New Topic
if (isset($_POST['add_post']))
{
	// Forum user 
	$subject = isset($_POST['req_post_title']) ? forum_trim($_POST['req_post_title']) : '';
	
	if (utf8_strlen($subject) > 70)
		$errors[] = $lang_post['Too long subject'];
	
	$req_guest = forum_trim($_POST['req_guest']);
	$req_forum_id = forum_trim($_POST['req_forum_id']);
	
	// If user is Guest
	if (!empty($req_guest) )
	{
		$poster_name = forum_trim($_POST['req_guest']);
	} else {
		$poster_name = forum_trim($_POST['req_username']);
	}

	// Get the quote and quote poster
	$query = array(
		'SELECT'	=> 'u.id, u.username, u.registered',
		'FROM'		=> 'users AS u',
		'WHERE'		=> 'u.username=\''.$forum_db->escape( $poster_name ).'\''
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$fetch_user = $forum_db->fetch_assoc($result);

	// Convert posted date to time + If !> real
	$date = isset($_POST['req_posted']) ? htmlspecialchars($_POST['req_posted']) : '';
	$date = strtotime($date);

	if(isset($_POST['req_interval']) && ($_POST['req_interval'] > '0') ) {
		$date_interval = $_POST['req_interval'];
		$date = ($date  + rand($date_interval, ($date_interval + $date_interval) ) );
	}
	
	//Validate date register amd posted
	if ($date < $fetch_user['registered'])
		$errors[] = 'Пользователь тогда еще небыл зарегистрирован. Выберите другого пользователя или дату позднее: '.date("d.m.Y H:i", $fetch_user['registered']);

	if (!empty($req_guest) && ($fetch_user['username'] == $req_guest) )
		$errors[] = 'Пользователь с логином <strong>'.$fetch_user['username'].'</strong> уже существует!';


	// Clean up message from POST
	$message = forum_linebreaks(forum_trim($_POST['req_message']));

	if (strlen($message) > FORUM_MAX_POSTSIZE_BYTES)
		$errors[] = sprintf($lang_post['Too long message'], forum_number_format(strlen($message)), forum_number_format(FORUM_MAX_POSTSIZE_BYTES));
	else if ($forum_config['p_message_all_caps'] == '0' && check_is_all_caps($message) && !$forum_page['is_admmod'])
		$errors[] = $lang_post['All caps message'];

	// Validate BBCode syntax
	if ($forum_config['p_message_bbcode'] == '1' || $forum_config['o_make_links'] == '1')
	{
		if (!defined('FORUM_PARSER_LOADED'))
			require FORUM_ROOT.'include/parser.php';

		$message = preparse_bbcode($message, $errors);
	}

	if ($message == '')
		$errors[] = $lang_post['No message'];

	$hide_smilies = isset($_POST['hide_smilies']) ? 1 : 0;
	$subscribe = isset($_POST['subscribe']) ? 1 : 0;

	if (!empty($req_guest) && ($fetch_user['username'] != $req_guest) )
	{
		//Add New User
		$registered = ($date < time()) ? ($date - $forum_config['o_pan_posting_users_reg_time']) : time();
		$salt = random_key(12);
		$password_hash = forum_hash($forum_config['o_pan_posting_users_pass'], $salt);
		
		$user_info = array(
			'username'			=> $poster_name,
			'group_id'			=> $forum_config['o_pan_posting_users_group'],
			'password'			=> $password_hash,
			'email'				=> $forum_config['o_pan_posting_users_email'],
			'email_setting'		=> $forum_config['o_default_email_setting'],
			'timezone'			=> $forum_config['o_default_timezone'],
			'dst'				=> $forum_config['o_default_dst'],
			'language'			=> $forum_config['o_default_lang'],
			'style'				=> $forum_config['o_default_style'],
			'registered'		=> $registered,
			'registration_ip'	=> get_remote_address(),
			'salt'				=> $salt,
			'activate_key'		=> 'NULL',
		);
		
		add_user($user_info, $new_uid);
	}

	// Did everything go according to plan?
	if (empty($errors))
	{
		// If it's a new topic
		if ($tid)
		{
			$post_info = array(
				'poster'		=> $poster_name,
				'poster_id'		=> isset($new_uid) ? $new_uid : $fetch_user['id'],
				'poster_email'	=> '',
				'subject'		=> $subject,
				'message'		=> $message,
				'hide_smilies'	=> $hide_smilies,
				'posted'		=> $date,
				'subscribe'		=> '0',
				'topic_id_now'	=> $tid,
				'forum_id'		=> $req_forum_id,
				'forum_name'	=> '',
				'update_user'	=> true,
				'update_unread'	=> true,
				'post_status'	=> '0',
				'first_post'	=> '0',
				'num_posts' 	=> '1'
			);

			// Add the topic
			$query = array(
				'INSERT'	=> 'poster, poster_id, poster_email, subject, message, hide_smilies, posted, subscribe, topic_id_now, forum_id, forum_name, update_user, update_unread, post_status, first_post, num_posts',
				'INTO'		=> 'pan_posting_topic',
				'VALUES'	=> '\''.$forum_db->escape($post_info['poster']).'\', \''.$forum_db->escape($post_info['poster_id']).'\', \''.$forum_db->escape($post_info['poster_email']).'\', \''.$forum_db->escape($post_info['subject']).'\', \''.$forum_db->escape($post_info['message']).'\', '.$post_info['hide_smilies'].', \''.$post_info['posted'].'\', \''.$forum_db->escape($post_info['subscribe']).'\', \''.$post_info['topic_id_now'].'\', \''.$post_info['forum_id'].'\', \''.$forum_db->escape($post_info['forum_name']).'\', '.$post_info['update_user'].', '.$post_info['update_unread'].', \''.$forum_db->escape($post_info['post_status']).'\', \''.$forum_db->escape($post_info['first_post']).'\', \''.$post_info['num_posts'].'\''
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			$new_tid = $forum_db->insert_id();
			
			//Update In Posts topic_id
			$query = array(
				'UPDATE'	=> 'pan_posting_topic',
				'SET'		=> 'num_posts=num_posts+1',
				'WHERE'		=> 'id='.$post_info['topic_id_now'],
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			
		}
		redirect(forum_link($forum_url['pan_posting_view_topic'], $tid.'#p'.$new_tid), 'Post Added');
	}
	
}

	
$forum_page = array();
$forum_page['item_count'] = 0;

//View all post to topics
if ($tid)
{
	$query = array(
		'SELECT'	=> 't.id, t.poster, t.subject, t.post_status, t.topic_id_now, t.forum_id, f.id AS fid, f.forum_name',
		'FROM'		=> 'pan_posting_topic AS t',
			'JOINS'		=> array(
				array(
					'INNER JOIN'	=> 'forums AS f',
					'ON'			=> 'f.id=t.forum_id'
				)
			),
		'WHERE'		=> 't.id='.$tid
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$cur_topic = $forum_db->fetch_assoc($result);
	
	$forum_page['page_post']['posting'] = '<p class="posting" style="padding: 0.5em;"> <a class="newpost" href="'.forum_link($forum_url['pan_posting']).'"><span>Все темы</span></a> </p>';
	$forum_page['page_post']['messages'] = '<p class="posting" style="padding: 0.5em;"> <a class="newpost" href="'.forum_link($forum_url['pan_posting_all_posts']).'"><span>Все сообщения</span></a> </p>   ';
	$forum_page['page_post']['new_topic'] = '<p class="posting" style="padding: 0.5em;"> <a class="newpost" href="'.forum_link($forum_url['pan_posting_new_topic'], $cur_topic['forum_id']).'"><span>Новая тема</span></a> </p>   ';
	
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($cur_topic['forum_name'], forum_link($forum_url['forum'], array($cur_topic['fid'], sef_friendly($cur_topic['forum_name'])))),
		$cur_topic['subject']
	);
	
	define('FORUM_PAGE', 'post');
	require FORUM_ROOT.'header.php';
	
	// START SUBST - <!-- forum_main -->
	ob_start();

	if($cur_topic['id'] > 0)
	{

?>
		<div class="main-head">
			<h2 class="hn"><span>Запланированная тема</span></h2>
		</div>
		<div id="forum<?php echo $tid ?>" class="main-content main-topic">
<?php
	
		//Retrieve the posts (and their respective poster/online status) by known id`s
		$query = array(
			'SELECT'	=> 'u.email, u.title, u.url, u.location, u.signature, u.email_setting, u.num_posts, u.registered, u.admin_note, u.avatar, u.avatar_width, u.avatar_height, p.id, p.poster AS username, p.poster_id, p.poster_ip, p.poster_email, p.subject, p.message, p.hide_smilies, p.posted, p.edited, p.topic_id_now, p.forum_id, p.post_status, p.first_post, g.g_id, g.g_user_title',
			'FROM'		=> 'pan_posting_topic AS p',
			'JOINS'		=> array(
				array(
					'INNER JOIN'	=> 'users AS u',
					'ON'			=> 'u.id=p.poster_id'
				),
				array(
					'INNER JOIN'	=> 'groups AS g',
					'ON'			=> 'g.g_id=u.group_id'
				)
			),
//		    'WHERE'		=> 'p.id IN ('.implode(',', $posts_id).')',
			'WHERE'		=> 'p.topic_id_now='.$tid,
			'ORDER BY'	=> 'p.id'
		);
		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	while ($cur_post = $forum_db->fetch_assoc($result))
	{
		($hook = get_hook('vt_post_loop_start')) ? eval($hook) : null;

		++$forum_page['item_count'];

		$forum_page['post_ident'] = array();
		$forum_page['author_ident'] = array();
		$forum_page['author_info'] = array();
		$forum_page['post_options'] = array();
		$forum_page['post_contacts'] = array();
		$forum_page['post_actions'] = array();
		$forum_page['message'] = array();

		// Generate the post heading
//		$forum_page['post_ident']['num'] = '<span class="post-num">'.forum_number_format($forum_page['start_from'] + $forum_page['item_count']).'</span>';

		if ($cur_post['poster_id'] > 1)
			$forum_page['post_ident']['byline'] = '<span class="post-byline">'.sprintf((($cur_post['id'] == $cur_topic['topic_id_now']) ? $lang_topic['Topic byline'] : $lang_topic['Reply byline']), (($forum_user['g_view_users'] == '1') ? '<a title="'.sprintf($lang_topic['Go to profile'], forum_htmlencode($cur_post['username'])).'" href="'.forum_link($forum_url['user'], $cur_post['poster_id']).'">'.forum_htmlencode($cur_post['username']).'</a>' : '<strong>'.forum_htmlencode($cur_post['username']).'</strong>')).'</span>';
		else
			$forum_page['post_ident']['byline'] = '<span class="post-byline">'.sprintf((($cur_post['id'] == $cur_topic['topic_id_now']) ? $lang_topic['Topic byline'] : $lang_topic['Reply byline']), '<strong>'.forum_htmlencode($cur_post['username']).'</strong>').'</span>';

		$forum_page['post_ident']['link'] = '<span class="post-link"><a class="permalink" rel="bookmark" title="'.$lang_topic['Permalink post'].'" href="'.forum_link($forum_url['post'], $cur_post['id']).'">'.format_time($cur_post['posted']).'</a></span>';

		if ($cur_post['edited'] != '')
			$forum_page['post_ident']['edited'] = '<span class="post-edit">'.sprintf($lang_topic['Last edited'], forum_htmlencode($cur_post['edited_by']), format_time($cur_post['edited'])).'</span>';


//		($hook = get_hook('vt_row_pre_post_ident_merge')) ? eval($hook) : null;

		if (isset($user_data_cache[$cur_post['poster_id']]['author_ident']))
			$forum_page['author_ident'] = $user_data_cache[$cur_post['poster_id']]['author_ident'];
		else
		{
			// Generate author identification
			if ($cur_post['poster_id'] > 1)
			{
				if ($forum_config['o_avatars'] == '1' && $forum_user['show_avatars'] != '0')
				{
					$forum_page['avatar_markup'] = generate_avatar_markup($cur_post['poster_id'], $cur_post['avatar'], $cur_post['avatar_width'], $cur_post['avatar_height'], $cur_post['username']);

					if (!empty($forum_page['avatar_markup']))
						$forum_page['author_ident']['avatar'] = '<li class="useravatar">'.$forum_page['avatar_markup'].'</li>';
				}

				$forum_page['author_ident']['username'] = '<li class="username">'.(($forum_user['g_view_users'] == '1') ? '<a title="'.sprintf($lang_topic['Go to profile'], forum_htmlencode($cur_post['username'])).'" href="'.forum_link($forum_url['user'], $cur_post['poster_id']).'">'.forum_htmlencode($cur_post['username']).'</a>' : '<strong>'.forum_htmlencode($cur_post['username']).'</strong>').'</li>';
				$forum_page['author_ident']['usertitle'] = '<li class="usertitle"><span>'.get_title($cur_post).'</span></li>';

//				if ($cur_post['is_online'] == $cur_post['poster_id'])
//					$forum_page['author_ident']['status'] = '<li class="userstatus"><span>'.$lang_topic['Online'].'</span></li>';
//				else
//					$forum_page['author_ident']['status'] = '<li class="userstatus"><span>'.$lang_topic['Offline'].'</span></li>';
			}
			else
			{
				$forum_page['author_ident']['username'] = '<li class="username"><strong>'.forum_htmlencode($cur_post['username']).'</strong></li>';
				$forum_page['author_ident']['usertitle'] = '<li class="usertitle"><span>'.get_title($cur_post).'</span></li>';
			}
		}

		if (isset($user_data_cache[$cur_post['poster_id']]['author_info']))
			$forum_page['author_info'] = $user_data_cache[$cur_post['poster_id']]['author_info'];
		else
		{
			// Generate author information
			if ($cur_post['poster_id'] > 1)
			{
				if ($forum_config['o_show_user_info'] == '1')
				{
					if ($cur_post['location'] != '')
					{
						if ($forum_config['o_censoring'] == '1')
							$cur_post['location'] = censor_words($cur_post['location']);

						$forum_page['author_info']['from'] = '<li><span>'.$lang_topic['From'].' <strong>'.forum_htmlencode($cur_post['location']).'</strong></span></li>';
					}

					$forum_page['author_info']['registered'] = '<li><span>'.$lang_topic['Registered'].' <strong>'.format_time($cur_post['registered'], 1).'</strong></span></li>';

					if ($forum_config['o_show_post_count'] == '1' || $forum_user['is_admmod'])
						$forum_page['author_info']['posts'] = '<li><span>'.$lang_topic['Posts info'].' <strong>'.forum_number_format($cur_post['num_posts']).'</strong></span></li>';
				}

				if ($forum_user['is_admmod'])
				{
					if ($cur_post['admin_note'] != '')
						$forum_page['author_info']['note'] = '<li><span>'.$lang_topic['Note'].' <strong>'.forum_htmlencode($cur_post['admin_note']).'</strong></span></li>';
				}
			}
		}

		// Generate IP information for moderators/administrators
//		if ($forum_user['is_admmod'])
//			$forum_page['author_info']['ip'] = '<li><span>'.$lang_topic['IP'].' <a href="'.forum_link($forum_url['get_host'], $cur_post['id']).'">'.$cur_post['poster_ip'].'</a></span></li>';

		// Generate author contact details
		if ($forum_config['o_show_user_info'] == '1')
		{
			if (isset($user_data_cache[$cur_post['poster_id']]['post_contacts']))
				$forum_page['post_contacts'] = $user_data_cache[$cur_post['poster_id']]['post_contacts'];
			else
			{
				if ($cur_post['poster_id'] > 1)
				{
					if ($cur_post['url'] != '')
						$forum_page['post_contacts']['url'] = '<span class="user-url'.(empty($forum_page['post_contacts']) ? ' first-item' : '').'"><a class="external" href="'.forum_htmlencode(($forum_config['o_censoring'] == '1') ? censor_words($cur_post['url']) : $cur_post['url']).'">'.sprintf($lang_topic['Visit website'], '<span>'.sprintf($lang_topic['User possessive'], forum_htmlencode($cur_post['username'])).'</span>').'</a></span>';
					if ((($cur_post['email_setting'] == '0' && !$forum_user['is_guest']) || $forum_user['is_admmod']) && $forum_user['g_send_email'] == '1')
						$forum_page['post_contacts']['email'] = '<span class="user-email'.(empty($forum_page['post_contacts']) ? ' first-item' : '').'"><a href="mailto:'.forum_htmlencode($cur_post['email']).'">'.$lang_topic['E-mail'].'<span>&#160;'.forum_htmlencode($cur_post['username']).'</span></a></span>';
					else if ($cur_post['email_setting'] == '1' && !$forum_user['is_guest'] && $forum_user['g_send_email'] == '1')
						$forum_page['post_contacts']['email'] = '<span class="user-email'.(empty($forum_page['post_contacts']) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['email'], $cur_post['poster_id']).'">'.$lang_topic['E-mail'].'<span>&#160;'.forum_htmlencode($cur_post['username']).'</span></a></span>';
				}
				else
				{
					if ($cur_post['poster_email'] != '' && $forum_user['is_admmod'] && $forum_user['g_send_email'] == '1')
						$forum_page['post_contacts']['email'] = '<span class="user-email'.(empty($forum_page['post_contacts']) ? ' first-item' : '').'"><a href="mailto:'.forum_htmlencode($cur_post['poster_email']).'">'.$lang_topic['E-mail'].'<span>&#160;'.forum_htmlencode($cur_post['username']).'</span></a></span>';
				}
			}

//			($hook = get_hook('vt_row_pre_post_contacts_merge')) ? eval($hook) : null;

			if (!empty($forum_page['post_contacts']))
				$forum_page['post_options']['contacts'] = '<p class="post-contacts">'.implode(' ', $forum_page['post_contacts']).'</p>';
		}

		if($cur_post['first_post'] == '1') 
		{
			$forum_page['post_actions']['delete'] = '<span class="delete-post'.(empty($forum_page['post_actions']) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['pan_posting_delete_tid'], $cur_post['id']).'">Delete Topic<span> </span></a></span>';
		} else {
			$forum_page['post_actions']['delete'] = '<span class="delete-post'.(empty($forum_page['post_actions']) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['pan_posting_delete_pid'], $cur_post['id']).'">Delete Post<span> </span></a></span>';
		}

		if ($cur_post['post_status'] == '0')
		{
			if($cur_post['first_post'] == '1')
				$forum_page['post_actions']['edit'] = '<span class="edit-post'.(empty($forum_page['post_actions']) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['pan_posting_edit_id'], $cur_post['id']).'">'.$lang_topic['Edit'].' topic<span> '.$lang_topic['Post'].'</span></a></span>';
			else
				$forum_page['post_actions']['edit'] = '<span class="edit-post'.(empty($forum_page['post_actions']) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['pan_posting_edit_pid'], $cur_post['id']).'">'.$lang_topic['Edit'].' msg<span> '.$lang_topic['Post'].'</span></a></span>';
		
		} else {
			$forum_page['post_actions']['activate'] = '<span style="color: #1CC71C;"><strong>Сообщение активировано</strong></span>';
		}

//		($hook = get_hook('vt_row_pre_post_actions_merge')) ? eval($hook) : null;

		if (!empty($forum_page['post_actions']))
			$forum_page['post_options']['actions'] = '<p class="post-actions">'.implode(' ', $forum_page['post_actions']).'</p>';

		// Give the post some class
		$forum_page['item_status'] = array(
			'post',
			($forum_page['item_count'] % 2 != 0) ? 'odd' : 'even'
		);

		if ($forum_page['item_count'] == 1)
			$forum_page['item_status']['firstpost'] = 'firstpost';

//		if (($forum_page['start_from'] + $forum_page['item_count']) == $forum_page['finish_at'])
//			$forum_page['item_status']['lastpost'] = 'lastpost';

		if ($cur_post['id'] == $cur_topic['topic_id_now'])
			$forum_page['item_status']['topicpost'] = 'topicpost';
		else
			$forum_page['item_status']['replypost'] = 'replypost';


		// Generate the post title
		if ($cur_post['id'] == $cur_topic['topic_id_now'])
			$forum_page['item_subject'] = sprintf($lang_topic['Topic title'], $cur_topic['subject']);
		else
			$forum_page['item_subject'] = sprintf($lang_topic['Reply title'], $cur_post['subject']);

		$forum_page['item_subject'] = forum_htmlencode($forum_page['item_subject']);

		if (!defined('FORUM_PARSER_LOADED'))
			require FORUM_ROOT.'include/parser.php';
		$forum_page['message']['message'] = parse_message($cur_post['message'], $cur_post['hide_smilies']);

		// Do signature parsing/caching
		if ($cur_post['signature'] != '' && $forum_user['show_sig'] != '0' && $forum_config['o_signatures'] == '1')
		{
			if (!isset($signature_cache[$cur_post['poster_id']]))
				$signature_cache[$cur_post['poster_id']] = parse_signature($cur_post['signature']);

			$forum_page['message']['signature'] = '<div class="sig-content"><span class="sig-line"><!-- --></span>'.$signature_cache[$cur_post['poster_id']].'</div>';
		}

//		($hook = get_hook('vt_row_pre_display')) ? eval($hook) : null;

		// Do user data caching for the post
		if ($cur_post['poster_id'] > 1 && !isset($user_data_cache[$cur_post['poster_id']]))
		{
			$user_data_cache[$cur_post['poster_id']] = array(
				'author_ident'	=> $forum_page['author_ident'],
				'author_info'	=> $forum_page['author_info'],
				'post_contacts'	=> $forum_page['post_contacts']
			);

//			($hook = get_hook('vt_row_add_user_data_cache')) ? eval($hook) : null;
		}

?>
		<div class="<?php echo implode(' ', $forum_page['item_status']) ?>">
			<div id="p<?php echo $cur_post['id'] ?>" class="posthead">
				<h3 class="hn post-ident"><?php echo implode(' ', $forum_page['post_ident']) ?></h3>
			</div>
			<div class="postbody">
				<div class="post-author">
					<ul class="author-ident">
						<?php echo implode("\n\t\t\t\t\t\t", $forum_page['author_ident'])."\n" ?>
					</ul>
					<ul class="author-info">
						<?php echo implode("\n\t\t\t\t\t\t", $forum_page['author_info'])."\n" ?>
					</ul>
				</div>
				<div class="post-entry">
					<h4 id="pc<?php echo $cur_post['id'] ?>" class="entry-title hn"><?php echo $forum_page['item_subject'] ?></h4>
					<div class="entry-content">
						<?php echo implode("\n\t\t\t\t\t\t", $forum_page['message'])."\n" ?>
					</div>
<?php 
//($hook = get_hook('vt_row_new_post_entry_data')) ? eval($hook) : null; 
?>
				</div>
			</div>
<?php if (!empty($forum_page['post_options'])): ?>
			<div class="postfoot">
				<div class="post-options">
					<?php echo implode("\n\t\t\t\t\t", $forum_page['post_options'])."\n" ?>
				</div>
			</div>
<?php endif; ?>
		</div>
<?php

	}
}

?>
	</div>

	<div class="main-foot">
<?php

	if (!empty($forum_page['main_foot_options']))
		echo "\n\t\t\t".'<p class="options">'.implode(' ', $forum_page['main_foot_options']).'</p>';

?>
		<h2 class="hn"><span>Запланированные сообщения</span></h2>
	</div>
<?php

//($hook = get_hook('vt_end')) ? eval($hook) : null;

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->





if($cur_topic['id'] > 0)
{
//Add New Planned Post      ###########################################
    // START SUBST - <!-- forum_qpost -->
    ob_start();
    
    // Fetch date last post
    $query = array(
    	'SELECT'	=> 'p.id, p.posted',
    	'FROM'		=> 'pan_posting_topic AS p',
		'WHERE'		=> 'p.topic_id_now='.$tid,
		'ORDER BY'	=> 'p.id DESC'
    );
    $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
    $fetch_last_post = $forum_db->fetch_assoc($result);
?>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_post['Compose your topic'] ?></span></h2>
	</div>
	<div id="post-form" class="main-content main-frm">
<?php

	if (!empty($forum_page['text_options']))
		echo "\t\t".'<p class="ct-options options">'.sprintf($lang_common['You may use'], implode(' ', $forum_page['text_options'])).'</p>'."\n";

	// If there were any errors, show them
	if (!empty($errors))
	{
		$forum_page['errors'] = array();
		foreach ($errors as $cur_error)
			$forum_page['errors'][] = '<li class="warn"><span>'.$cur_error.'</span></li>';

?>
		<div class="ct-box error-box">
			<h2 class="warn hn"><?php echo $lang_post['Post errors'] ?></h2>
			<ul class="error-list">
				<?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			</ul>
		</div>
<?php
	}
?>
		<div id="req-msg" class="req-warn ct-box error-box">
			<p class="important"><?php echo $lang_common['Required warn'] ?></p>
		</div>
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_posting_view_topic'], $tid) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_posting_view_topic'], $tid)) ?>" />
				<input type="hidden" name="add_new_user" value="1" />
			</div>
			
			<input type="hidden" name="req_forum_id" value="<?php echo $cur_topic['forum_id']; ?>" />
			
<?php
	$forum_page['email_form_name'] = ($forum_config['p_force_guest_email'] == '1') ? 'req_email' : 'email';

?>

                <legend class="group-legend"><strong><?php echo $lang_post['Guest post legend'] ?></strong></legend>
                <div class="sf-set set">
                    <div class="sf-box text required">
                        <label for="fld"><span>Дата</span><small>Сейчас: <?php echo date("d.m.Y H:i", time()) ?></small></label><br />
<?php

$posting_first_time = ($forum_config['o_pan_posting_first_time'] > 0) ? $forum_config['o_pan_posting_first_time'] : '60';
$posting_last_time = ($forum_config['o_pan_posting_last_time'] > 0) ? $forum_config['o_pan_posting_last_time'] : '300';
$random_4x = rand($posting_first_time, $posting_last_time); 

?>
                        <span class="fld-input"><input type="datetime" id="fld" name="req_posted" value="<?php echo date("d.m.Y H:i", $fetch_last_post['posted']+$random_4x) ?>" size="20" required /></span>
                    </div>
                </div>



		<fieldset class="mf-set mf-extra set">
			<legend><span>Интервал</span></legend>
			<div class="mf-box">
				<div class="mf-field mf-field1">
					<label for="fld"><span></span><small></small></label>
					<span class="fld-input">
						<select id="fld" name="req_interval">
							<option value="0" selected="1">Как есть</option>
							<option value="1800">от 30 до 60 минут</option>
							<option value="3600">от 1 до 2 часов</option>
							<option value="7200">от 2 до 4 часов</option>
							<option value="14400">от 4 до 8 часов</option>
							<option value="28800">от 8 до 16 часов</option>
						</select>
					</span>
				</div>
			</fieldset>



<?php
$pan_posting_users_max_age = time()-($forum_config['o_pan_posting_users_max_age']*86400);
$all_groups = explode(',', $forum_config['o_pan_posting_groups_list']);

	$query = array(
    	'SELECT'	=> 'g.g_id, g.g_title, g.g_user_title, g.g_id AS group_id, u.id, u.username, u.num_posts, u.registered',
    	'FROM'		=> 'groups AS g',
    	'JOINS'		=> array(
    		array(
    			'INNER JOIN'	=> 'users AS u',
    			'ON'			=> 'g.g_id=u.group_id'
    		)
    	),
		'WHERE'		=> 'g.g_id IN ('.implode(',', $all_groups).') AND u.registered>'.$pan_posting_users_max_age,
    	'ORDER BY'	=> 'g_title ASC, username ASC'
    );
    
$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

?>
		<fieldset class="mf-set mf-extra set">
			<legend><span>Постер</span></legend>
			<div class="mf-box">
				<div class="mf-field mf-field1">
					<label for="fld"><span><?php echo $lang_post['Guest name'] ?></span></label><br />
						<span class="fld-input">
							<select id="fld" name="req_username">

<?php
		while ($forum_poster = $forum_db->fetch_assoc($result))
		{
			if($forum_poster['registered'] < $fetch_last_post['posted'])
				$poster[] = $forum_poster;
		}

		$cur_group = 0;
		$poster_count = 0;
		$sef_friendly_names = array();
		foreach ($poster as $forum_poster)
		{
			if ($forum_poster['g_id'] != $cur_group)	// A new category since last iteration?
			{
				if ($cur_group)
					echo "\t\t\t".'</optgroup>'."\n";

				echo "\t\t\t".'<optgroup label="'.forum_htmlencode($forum_poster['g_title']).'">'."\n";
				$cur_group = $forum_poster['g_id'];
			}
			
			if($cur_topic['poster'] == $forum_poster['username'])
				echo "\t\t\t\t".'<option value="'.$forum_poster['username'].'" selected="selected">'.forum_htmlencode($forum_poster['username']).' - '.$forum_poster['num_posts'].' - '.date("Y.m.d", $forum_poster['registered']).'</option>'."\n";
			else
				echo "\t\t\t\t".'<option value="'.$forum_poster['username'].'" >'.forum_htmlencode($forum_poster['username']).' - '.$forum_poster['num_posts'].' - '.date("Y.m.d", $forum_poster['registered']).'</option>'."\n";
			$poster_count++;
			
		}
?>
			        </select></span>
				</div>
					    
                <div class="mf-field">
					<label for="fld"><span></span></label><br />
					<span class="fld-input"><input type="text" id="fld" name="req_guest" value="" placeholder="Введите имя нового пользователя" size="40" maxlength="25" /></span>
				</div> 
					    
					    
			</div>
	   </fieldset>
<?php
	// Reset counters
	$forum_page['group_count'] = $forum_page['item_count'] = 0;
?>
			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong><?php echo $lang_common['Required information'] ?></strong></legend>

<?php ($hook = get_hook('po_pre_post_contents')) ? eval($hook) : null; ?>
				<div class="txt-set set">
					<div class="txt-box textarea required">
						<label for="fld"><span><?php echo $lang_post['Write message'] ?></span></label>
						<div class="txt-input"><span class="fld-input"><textarea id="fld" name="req_message" rows="15" cols="95" required spellcheck="true"><?php echo isset($_POST['req_message']) ? forum_htmlencode($message) : (isset($forum_page['quote']) ? forum_htmlencode($forum_page['quote']) : '') ?></textarea></span></div>
					</div>
				</div>
			</fieldset>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="add_post" value="<?php echo $lang_post['Submit topic'] ?>" /></span>
			</div>
		</form>
	</div>
<?php
    $tpl_temp = forum_trim(ob_get_contents());
    $tpl_main = str_replace('<!-- forum_qpost -->', $tpl_temp, $tpl_main);
    ob_end_clean();
    // END SUBST - <!-- forum_qpost -->
    }

}

require FORUM_ROOT.'footer.php';